unit M_Main;

interface

uses
  System.Classes,
  Vcl.Controls, Vcl.ExtCtrls, Vcl.ImgList,
  U_PreviewEngine;

type
  TmodMain = class(TDataModule)
    imlMain: TImageList;
    tmrStart: TTimer;
    procedure tmrStartTimer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  modMain: TmodMain;

implementation
{%CLASSGROUP 'Vcl.Controls.TControl'}
{$R *.dfm}

uses
  F_Main,
  F_PE_Graphics, {$IFDEF WIN32}F_PE_FreeImage,{$ENDIF} F_PE_PreviewHandlers, F_PE_WlxPlugins,
  F_PE_Text, F_PE_ShellItemImages;

{ ------------------------------------------------------------------------------------------------ }
procedure TmodMain.tmrStartTimer(Sender: TObject);
begin
  tmrStart.Enabled := False;
  frmMain.ActionManager.FindItemByAction(frmMain.actAutorefresh).Action.Execute;
end {TmodMain.tmrStartTimer};

end.
